---
# Sysadmins
system_administrators_group: sysadmins
system_administrators:
  - name: daniel
    ssh_key: '../files/keys/daniel.pub'
    state: present
  - name: enrico
    ssh_key: '../files/keys/enrico.pub'
    state: present
  - name: pau
    ssh_key: '../files/keys/pau.pub'
    state: present
  - name: joan
    ssh_key: '../files/keys/joan.pub'
    state: present
  - name: gerard
    ssh_key: '../files/keys/gerard.pub'
    state: present
  - name: cesar
    ssh_key: "../files/keys/cesar.pub"
    state: present
  - name: kon
    ssh_key: "../files/keys/kon.pub"
    state: present
  - name: daniquilez
    ssh_key: "../files/keys/daniquilez.pub"
    state: present
  - name: jordi
    ssh_key: "../files/keys/jordi.pub"
    state: present

base_url: "https://{{ inventory_hostname }}"

# Set 'development_environment' to "true" to skip SSL and nginx tasks
development_environment: false

certificate_authority_email: info@coopdevs.org

# Enable automatic backups to a backblaze bucket using restic
opencell_backups_enabled: true

# Enable SMTP
opencell_mail_enabled: true

# Enable monitoring for production environment
opencell_monitoring_enabled: true
monitoring_nexporter_enabled: true
monitoring_promtail_enabled: false

monitoring_postgres_exporter_enabled: true
monitoring_postgres_exporter_pg_user: monitor
monitoring_postgres_exporter_pg_port: 5432

backups_role_restic_repo_version: 41d992e8  # 2020-04-10 03:47:52

opencell_version: 7.6.6

postgresql_data_path: "/mnt/HC_Volume_12756049/postgresql/data"
opencell_data_path: "/mnt/HC_Volume_9375116/opencelldata"
opencell_logs_path: "/mnt/HC_Volume_9375136/opencell-log"

bi_enabled: true
bi_db_user: "metabase"
firewall_additional_rules:
  - "iptables -A INPUT -p tcp --dport {{ expose_db_port }} -s {{ metabase_ip }} -j ACCEPT"
  - "iptables -A INPUT -p tcp --dport {{ expose_db_port }} -s {{ bi_ip }} -j ACCEPT"
